Print
Category: tips
Hits: 1534
Semasa saya hendak setup web management (guna php) untuk FreeRADIUS, saya mendapat banyak error di http error log. Kebanyakkannya adalah error, undefined variable/index.

Platform yang saya gunakan adalah Linux Fedora Core 6 yang secara defaultnya install dengan php5. Sehinggakan script yang termaju pun ada banyak error yang sama. Selepas surf di beberapa tempat, terjumpa satu artikel yang mengatakan ada perbezaan antara php4 dan php5. Kedua-duanya masih lagi disupport oleh http://www.php.net

Contoh perbezaan adalah seperti berikut,

 $b=3;
 $c=3;
 $a=($b and $c);
 echo "A = ".$a;
 ?>

 in PHP4 I get:
 A = 0
 and in PHP5 I get:
 A =

Perbezaan ini boleh memberi kesan pengiraan dalam script.

Kepada mereka yang telah install Fedora Core 6 dan php5, tetapi ingin menukar ke php4 boleh ke laman ini, http://www.garagebox.org/v79/modules.php?name=Web_Links&l_op=visit&lid=28